## ros-humble-pyhri 2.6.1

=== debian/changelog ===
ros-humble-pyhri (2.6.1-1bookworm) bookworm; urgency=high

  * bring back dependencies on tf2 and cv_bridge as <depends> so that <build_export_depend> is implied
  * Contributors: Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Mon, 09 Sep 2024 16:00:00 -0000

ros-humble-pyhri (2.6.0-1bookworm) bookworm; urgency=high

  * add face expression
  * change build to ament_cmake_auto
  * Contributors: Luka Juricic

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Sun, 08 Sep 2024 16:00:00 -0000

ros-humble-pyhri (2.5.1-1bookworm) bookworm; urgency=high

  * disable some CMAKE optimization
    avoid parallel compilation warning with pybind
  * add use_sim_time option to pyhri
  * Contributors: Luka Juricic, Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Tue, 20 Aug 2024 16:00:00 -0000

ros-humble-pyhri (2.5.0-1bookworm) bookworm; urgency=high

  * readd deprecated function signatures
  * add voice locale
  * add tests for gaze transform
  * fix thread joining in pyhri listener destructor
  * Contributors: Luka Juricic

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Thu, 01 Aug 2024 16:00:00 -0000

ros-humble-pyhri (2.4.1-1bookworm) bookworm; urgency=high

  * add PyHRIListener destructor
  * [doc] minor fixes
  * various improvement to the pyhri documentation
    running  should yield a correct API documentation
  * Contributors: Luka Juricic, Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Tue, 18 Jun 2024 16:00:00 -0000

ros-humble-pyhri (2.4.0-1bookworm) bookworm; urgency=high



 -- Luka Juricic <luka.juricic@pal-robotics.com>  Sun, 12 May 2024 16:00:00 -0000

ros-humble-pyhri (2.3.0-1bookworm) bookworm; urgency=high

  * change python module name to hri
  * Contributors: Luka Juricic

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Sun, 17 Mar 2024 16:00:00 -0000

ros-humble-pyhri (2.2.0-1bookworm) bookworm; urgency=high



 -- Luka Juricic <luka.juricic@pal-robotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-pyhri (2.1.0-1bookworm) bookworm; urgency=high

  Major new release, moved from ROS 1 to ROS 2, based on libhri + pybind11.
  While the overall pyhri API should not have changed in significant ways, this
  release *only works with ROS 2*!
  Detailed changelog:
  * convert IntensityConfidence and PointOfInterest to tuple
  * add documentation
  * fix version, documentation, example install
  * add pyhri example
  * move rivate headers to src
  * cleanup CMakeLists.txt
  * add test dependencies
  * add tf listener to the callback group
  * fix external code acknowledgement
  * minor adaptations to ndarray_converter
  * add external code ndarray_converter for image cast
  * add pyhri tests and align hri ones with the former
  * add pybind11 based python bindings to pyhri
  * add pyhri python bindings package
  * Contributors: Luka Juricic

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-pyhri (0.4.1-1bookworm) bookworm; urgency=high

  * fix voice callbacks test
  * change RoI message type to hri_msgs/NormalizedRegionOfInterest2D
  * Contributors: Luka Juricic

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

ros-humble-pyhri (0.4.0-1bookworm) bookworm; urgency=high

  * {hri->pyhri}
    This was causing catkin to not find pyhri when included in other projects
  * add callbacks for speech recognition + tests
  * fix AttributeError on first detection
  * use sensor_msgs/RegionOfInterest msg for compatibility with other ROS4HRI repos
  * Contributors: Luca Pozzi, Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-humble-pyhri (0.3.2-1bookworm) bookworm; urgency=high

  * fix RoI-related message types. Unit-tests pass again.
  * Contributors: Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Mon, 24 Oct 2022 16:00:00 -0000

ros-humble-pyhri (0.3.1-1bookworm) bookworm; urgency=high

  * voice: add support for is_speaking
  * ensure known persons get their face/body/voice instances properly updated
    Fixes #4
  * Contributors: Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Tue, 25 Oct 2022 16:00:00 -0000

ros-humble-pyhri (0.3.0-1bookworm) bookworm; urgency=high

  * wire up callbacks for when features appear/disappear
  * body: currently, hri_fullbody (incorrectly) returns a RegionOfInterest for the RoI, instead of a NormalisedRegionOfInterest2D
  * body: skeleton2d now gives direct access to the list of joints coordinates
  * voice: expose last recognised speech + transform
  * use @property to make the API simpler and safer
    In particular, to transparently provide *copies* of the faces, bodies, voices, persons list in HRIListener
  * body: expose skeleton2d, transform, {RegionOfInterest -> NormalizedRegionOfInterest2D} + doc
  * face: {RegionOfInterest -> NormalizedRegionOfInterest2D} + doc
  * Contributors: Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Fri, 21 Oct 2022 16:00:00 -0000

ros-humble-pyhri (0.2.0-1bookworm) bookworm; urgency=high

  * autogenerate docs with rosdoc (for display on ROS wiki) and SPHINX
  * More api documentation
  * adjust code base for ReadTheDocs doc generation
    In particular:
    - add a requirements.txt file for catkin
    - allows importing pyhri without rospy
  * Face.transform|Face.gaze_transform can change their reference frame
  * removed dep on numpy.typing as it is not widely available yet
  * mark features as invalid once they disappear
  * returns copy of persons to avoid modifying dictionary while iterating
    While here, add infrastrcutre to check whether a face/body/voice/person is still valid
  * expose the tf transform of the face and gaze
  * add BSD license file
  * [test] further tuning of tests' waiting behaviours for #1
  * Contributors: Séverin Lemaignan

 -- Luka Juricic <luka.juricic@pal-robotics.com>  Mon, 17 Oct 2022 16:00:00 -0000


